Base URL: https://demo-api.incodesmile.com — Incode demo environment
Check for valid CURP directly with an automated search in https://www.gob.mx/curp/ and return corresponding curp of that person. Parameters are the person's details.
Scraping service will start working asynchronously and this service will return a resultsId to fetch the results in /api/fetch/curp/v3. The recommended wait time is 25 sec.
Valid values for state are the ones listed by renapo in this link: https://es.wikipedia.org/wiki/Plantilla:Abreviaciones_de_los_estados_de_México
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
curp |
string | User's curp. Has to be in valid format. If it isn't present, then curp value from interview is used. | |
name |
string | ||
firstLastName |
string | ||
secondLastName |
string | ||
gender |
string | Valid gender values are "H" (Hombre, male), "M" (mujer, female) and "X" (otro, other) Enum: H, M, X |
|
birthDate |
string (dd/mm/yyyy) | ||
state |
string | ||
externalId |
string |
Responses
200
idResults: String.
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |